GCLOUD_COMPUTE_URL-MAPS_REMOVE-HOST-RULE(1)

NAME

gcloud compute url-maps remove-host-rule - remove a host rule from a URL map

SYNOPSIS

gcloud compute url-maps remove-host-rule URL_MAP_NAME --host=HOST [--delete-orphaned-path-matcher] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute url-maps remove-host-rule is used to remove a host rule from a URL map. When a host rule is removed, its path matcher is only removed if it is not referenced by any other host rules and --delete-orphaned-path-matcher is provided.

POSITIONAL ARGUMENTS

    URL_MAP_NAME
        The name of the URL map to operate on.

REQUIRED FLAGS

    --host=HOST
        One of the hosts in the host rule to remove.

OPTIONAL FLAGS

    --delete-orphaned-path-matcher
        If provided and a path matcher is orphaned as a result of this command, the command removes the orphaned path matcher instead of failing.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To remove a host rule that contains the host example.com from the URL map named MY-URL-MAP, you can use this command:
    $ gcloud compute url-maps remove-host-rule MY-URL-MAP \
        --host example.com